const express = require('express');
const router = express.Router();
const { asyncHandler, authAdmin } = require('../auth/checkAuth');
const systemConfigController = require('../controller/systemConfig.controller');

// Chỉ admin mới được truy cập
router.get('/', authAdmin, asyncHandler(systemConfigController.getConfig));
router.put('/', authAdmin, asyncHandler(systemConfigController.updateConfig));

module.exports = router;
